Package org.apache.commons.imaging.formats.tiff

## Class TiffImageData.ByteSourceData

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.TiffElement
  - - org.apache.commons.imaging.formats.tiff.TiffElement.DataElement
    - - org.apache.commons.imaging.formats.tiff.TiffImageData.Data
      - - org.apache.commons.imaging.formats.tiff.TiffImageData.ByteSourceData

- Enclosing class:
    TiffImageData

      public static class TiffImageData.ByteSourceData
      extends TiffImageData.Data

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.commons.imaging.formats.tiff.TiffElement

      `TiffElement.DataElement, TiffElement.Stub`

  - ### Field Summary

    - ### Fields inherited from class org.apache.commons.imaging.formats.tiff.TiffElement

      `COMPARATOR, length, offset`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ByteSourceData​(long offset, int length, ByteSourceFile byteSource)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `getData()` |
    `String` | `getElementDescription()` |

    - ### Methods inherited from class org.apache.commons.imaging.formats.tiff.TiffElement.DataElement

      `getDataLength`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteSourceData

          public ByteSourceData​(long offset,
                                int length,
                                ByteSourceFile byteSource)

  - ### Method Detail

    - #### getElementDescription

          public String getElementDescription()

      Overrides:
        `getElementDescription` in class `TiffImageData.Data`

    - #### getData

          public byte[] getData()

      Overrides:
        `getData` in class `TiffElement.DataElement`